USE COWS
GO

DECLARE @t TABLE 
	(	EventID INT,
		FSAMDSEventID INT,
		ISCNbr VARCHAR(50),
		ISCNbrR VARCHAR(50),
		ISCNbrIC VARCHAR(50),
		ISCNbrU VARCHAR(50),
		ISPNbr VARCHAR(50),
		ISPNbrR VARCHAR(50),
		ISPNbrIC VARCHAR(50), 
		ISPNbrU VARCHAR(50),
		SACNbr VARCHAR(50),
		SACNbrR VARCHAR(50),
		SACNbrIC VARCHAR(50), 
		SACNbrU VARCHAR(50),
		SAPnbr VARCHAR(50),
		SAPNbrR VARCHAR(50),
		SAPNbrIC VARCHAR(50),
		SAPNbrU VARCHAR(50) 
	)
INSERT INTO @t	(EventID,FSAMDSEventID, ISCNbr,ISPNbr,SACNbr,SAPnbr)
Select mds.EVENT_ID,fmds.FSA_MDS_EVENT_ID,INSTL_SITE_POC_CELL_PHN_NBR,INSTL_SITE_POC_PHN_NBR,SRVC_ASSRN_POC_CELL_NBR,SRVC_ASSRN_POC_PHN_NBR
	From dbo.FSA_MDS_EVENT_NEW fmds WITH (NOLOCK)
Inner Join dbo.MDS_EVENT_NEW mds 	WITH (NOLOCK) ON mds.EVENT_ID = fmds.EVENT_ID
	WHERE	ISNULL(dbo.decryptBinaryData(US_INTL_ID),'') != 'D'
		AND (
				ISNUMERIC(ISNULL(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(INSTL_SITE_POC_CELL_PHN_NBR,'-',''),'+',''),'(',''),')',''),'.',''),' ',''),'')) = 1
				OR 
				ISNUMERIC(ISNULL(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(INSTL_SITE_POC_PHN_NBR,'-',''),'+',''),'(',''),')',''),'.',''),' ',''),'')) = 1
				OR
				ISNUMERIC(ISNULL(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(SRVC_ASSRN_POC_CELL_NBR,'-',''),'+',''),'(',''),')',''),'.',''),' ',''),'')) = 1
				OR
				ISNUMERIC(ISNULL(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(SRVC_ASSRN_POC_PHN_NBR,'-',''),'+',''),'(',''),')',''),'.',''),' ',''),''))  = 1
			)
		AND mds.EVENT_STUS_ID NOT IN (6,8)
		--AND mds.EVENT_ID = 49748

		

UPDATE @t
	SET ISCNbrR = REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(ISCNbr,'-',''),'+',''),'(',''),')',''),'.',''),' ',''),
		ISPNbrR = REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(ISPNbr,'-',''),'+',''),'(',''),')',''),'.',''),' ',''),
		SACNbrR = REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(SACNbr,'-',''),'+',''),'(',''),')',''),'.',''),' ',''),
		SAPnbrR = REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(SAPNbr,'-',''),'+',''),'(',''),')',''),'.',''),' ','')


UPDATE @t
	SET		ISCNbrIC = SUBSTRING(ISCNbrR,1,LEN(ISCNbrR) - LEN(RIGHT(ISCNbrR,10)))
			,ISCNbrU = RIGHT(ISCNbrR,10)
	WHERE	ISNUMERIC(ISNULL(ISCNbrR,'')) = 1
	
UPDATE @t
	SET		ISPNbrIC = SUBSTRING(ISPNbrR,1,LEN(ISPNbrR) - LEN(RIGHT(ISPNbrR,10)))
			,ISPNbrU = RIGHT(ISPNbrR,10)
	WHERE	ISNUMERIC(ISNULL(ISPNbrR,'')) = 1

UPDATE @t
	SET		SACNbrIC = SUBSTRING(SACNbrR,1,LEN(SACNbrR) - LEN(RIGHT(SACNbrR,10)))
			,SACNbrU = RIGHT(SACNbrR,10)
	WHERE	ISNUMERIC(ISNULL(SACNbrR,'')) = 1

UPDATE @t
	SET		SAPNbrIC = SUBSTRING(SAPnbrR,1,LEN(SAPnbrR) - LEN(RIGHT(SAPnbrR,10)))
			,SAPNbrU = RIGHT(SAPNbrR,10)
	WHERE	ISNUMERIC(ISNULL(SAPnbrR,'')) = 1

Select EventID,ISCNbr AS INTL_SITE_CELL_NBR, ISCNbrIC AS INTL_SITE_CELL_CD,ISPNbr AS INTL_SITE_PHN_NBR,ISPNbrIC AS INTL_SITE_PHN_NBR_CD,
		SACNbr AS SITE_ASSURANCE_CELL,SACNbrIC AS SITE_ASSURANCE_CELL_CD,SAPnbr SITE_ASSURANCE_PHN_NBR,SAPNbrIC AS SITE_ASSURANCE_PHN_CD 
		From @t

	
UPDATE fmds
	SET INSTL_SITE_POC_INTL_CELL_PHN_CD = t.ISCNbrIC,
		INSTL_SITE_POC_CELL_PHN_NBR	= t.ISCNbrU
	FROM @t t 
INNER JOIN FSA_MDS_EVENT_NEW fmds ON t.FSAMDSEventID = fmds.FSA_MDS_EVENT_ID
	WHERE	ISNUMERIC(ISNULL(ISCNbrR,'')) = 1

UPDATE fmds
	SET INSTL_SITE_POC_INTL_PHN_CD = t.ISPNbrIC,
		INSTL_SITE_POC_PHN_NBR	=	t.ISPNbrU
	FROM @t t 
INNER JOIN FSA_MDS_EVENT_NEW fmds ON t.FSAMDSEventID = fmds.FSA_MDS_EVENT_ID
	WHERE	ISNUMERIC(ISNULL(ISPNbrR,'')) = 1

UPDATE fmds
	SET SRVC_ASSRN_POC_INTL_CELL_PHN_CD = t.SACNbrIC,
		SRVC_ASSRN_POC_CELL_NBR	= t.SACNbrU
	FROM @t t 
INNER JOIN FSA_MDS_EVENT_NEW fmds ON t.FSAMDSEventID = fmds.FSA_MDS_EVENT_ID
	WHERE	ISNUMERIC(ISNULL(SACNbrR,'')) = 1

UPDATE fmds
	SET SRVC_ASSRN_POC_INTL_PHN_CD = t.SAPNbrIC,
		SRVC_ASSRN_POC_PHN_NBR = t.SAPNbrU
	FROM @t t 
INNER JOIN FSA_MDS_EVENT_NEW fmds ON t.FSAMDSEventID = fmds.FSA_MDS_EVENT_ID		
	WHERE	ISNUMERIC(ISNULL(SAPnbrR,'')) = 1

	
	


Select EventID,ISCNbr,ISCNbrR,ISCNbrIC From @t
	Where ISCNbrIC IS NULL AND ISNULL(ISCNbr,'') != ''
Select EventID,ISPNbr,ISPNbrR,ISPNbrIC From @t
	Where ISPNbrIC IS NULL AND ISNULL(ISPNbr,'') != ''
Select EventID,SACNbr,SACNbrR,SACNbrIC From @t
	Where SACNbrIC IS NULL AND ISNULL(SACNbr,'') != ''
Select EventID,SAPNbr,SAPNbrR,SAPNbrIC From @t
	Where SAPNbrIC IS NULL AND ISNULL(SAPNbr,'') != ''
	
			

--declare @d varchar(30) = '011 +91-40-6687-4256'
--declare @dr varchar(20) 
--set @dr =  REPLACE(REPLACE(REPLACE(@d,'-',''),'+',''),' ','')
--select @dr
--select SUBSTRING(@dr,1,LEN(@dr) - LEN(RIGHT(@dr,10)))






	

	
	